import { Component } from '@angular/core';
import { ProductService1, Product } from '../product.service';

@Component({
  selector: 'app-product1',
  standalone: true,
  imports: [],
  templateUrl: './product1.component.html',
})
export class Product1Component {
  product: Product;
  /* ProductService1 on määritelty yhteiseksi oletusprovideriksi konffitiedostossa ja
     servicen vaihto on mahdollista sieltä.*/
  // servicen injektio konstruktoriin
  constructor(private ps: ProductService1) {
    this.product = this.ps.getProduct();
  }
}
